cancel
Showing results for 
Search instead for 
Did you mean: 

LSB compliance and FNP

LSB compliance and FNP

Question:

Over the years, our customers have had issues with LSB-loader as described in FNP release documentations. Moreover,  on some recent Linux updates, such as SUSE Enterprise Linux 12, the LSB
component is not offered as part of the supported distribution. Components in FlexNet Publisher, such as lmgrd, require the LSB-loader. If this is not present, lmgrd will fail to run with a 'file not found' error (FNP-11338, FNP- 11353)

Answer:

Starting FNP-11.14 tookit, The install_fnp.sh will now issue a warning if it detects LSB is not installed on the host:

$ sudo ./install_fnp.sh
... 
Checking LSB compatibility...
*** WARNING: 64-bit LSB packages not installed
LSB compatibility checks complete
...

FNP utilities will continue to give the File not found error.

Supplying the --nolsb flag to the command will cause fake symlinks to be created to mimic the missing LSB installation:

$ sudo ./install_fnp.sh --nolsb
... 
Checking LSB compatibility...
*** WARNING: 64-bit LSB packages not installed
             Fix attempted by creating symlink for /lib64/ld-lsb-x86-64.so.3
LSB compatibility checks complete
...

After which FNP utilities should run ok.

Labels (3)
Was this article helpful? Yes No
No ratings